Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595723 - Not able to unsubscribe multiple product at a time
Summary: Not able to unsubscribe multiple product at a time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 13:12 UTC by spandey
Modified: 2015-04-23 23:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description spandey 2010-05-25 13:12:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Candlepin : sachtest.usersys.redhat.com
client : Rhel 6 with SM vsersion 60

Steps to Repro : 
Login to the Client with valid credentails 
subscribed for multiple product 
Try to unsubscribe multiple entitlement at a time executing following command 

subscription-manager-cli unsubscribe –serial=13 –serial=14 --serial=15

 Expected Result : 
we should have process to unsubscribe multiple entitlement at a time 
we can use “unsubscribe” option but it will unsubscribe all entitlement 
suppose i want to have some entitlement on my machine and  remove some of them 
so it will take more manual efforts 

Actual Result : 
Only the last mentioned subscription has been unsubscribed (--serial=15)
Multiple unsubscribe is not working  


Note : If you think i am executing invalid scenario please close this defect

Comment 2 wes hayutin 2010-05-27 19:39:34 UTC
please retest once the next subscription-manager version 61 is released

Comment 3 RHEL Product and Program Management 2010-06-07 15:53:54 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 spandey 2010-07-14 13:30:39 UTC
Again i am able to repro defect 

using 
SM version : 67
candlepin : IT Env (Candlepin1)

[root@sachrhel6 facts]# subscription-manager-cli unsubscribe --serial=322 --serial=321
/consumers/2ba70315-b946-4bce-8a86-e45ae0ae3d6c/certificates/321
[root@sachrhel6 facts]# subscription-manager-cli list --consumed+-------------------------------------------+
    Consumed Product Subscriptions
+-------------------------------------------+


Name:               	Red Hat Enterprise Linux Advanced Platform
ContractNumber:       	1632092                  
SerialNumber:       	322                      
Active:             	True                     
Begins:             	2009-05-12               
Expires:            	2010-12-31               

[root@sachrhel6 facts]# 

using above step it removes only serial number "321 "

Comment 7 Ajay Kumar Nadathur Sreenivasan 2010-08-24 15:34:23 UTC
Sachitanand,
  Can you please attach the logs? I am sure subscription-manager must have faced some internal exception..

Comment 8 spandey 2010-09-08 12:32:01 UTC
I got confirmation from prad 

unsubscribe design is to unsubscribe only one serial number at a time 

same like unsubscribe option in GUI

So i am resolving defect as verified

Comment 10 errata-xmlrpc 2011-05-19 13:37:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.